<?php			

	/**
	 *	Edit categories
	 * 
	 * 	For Admin use only
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */
			
	
	require "inc/includer.inc.php";
	require_once("inc/admin.inc.php");
	require_once("inc/adv_categories.inc.php");
	require_once("inc/guielements.inc.php");

	
	function DeleteCategoryCache()		{
		
		require_once("inc/adv_categories.inc.php");
		require_once("inc/simple_categories.inc.php");
		
		//
		// Update main cache
		//
		$oCatManager = new CatTreeManager();
		$oCatManager->UpdateCache();
		$oRoot = $oCatManager->GetTreeRoot();
		
		$oTreeWork = new CategoryTreeWorks($oRoot);
		$oTreeWork->UpdateCategoryStatistics();
		
		//
		// Delete cache files from distributed cache
		//
		$oCatSimple = new SimpleCategoryManager();
		$oCatSimple->DeleteCache();	

		return TRUE;		
		
	}

	
	// Header senden
	$PageTitle = GetPageTitle(LANG_TTLADMINEDITCATS);
	include "inc/header.inc.php";
	
	$bError = FALSE;
	$strMessage = "";
	
	//
	// Securitycheck
	//
	if(!isset($_SESSION['admin']) || 
		md5("This_user_is_an_admin_from".$_SERVER['REMOTE_ADDR'])!=$_SESSION['admin'])	{
		
		$RedirectTag = "<meta http-equiv=\"refresh\" content=\"0; URL=admin.php\">";
		include "inc/header.inc.php";
		die();
	}
	
	
	//
	// Process form
	//
	if(isset($_POST['ready']) && strtoupper($_POST['ready'])=="YES")	{

		
		switch(TRUE)	{
			
			case isset($_POST['f_delete']):
				
				$bDeleteSubItems = FALSE;
						
				if(isset($_POST['deletesubitems']) 
					&& strtoupper($_POST['deletesubitems'])=="YES")	{
					
					$bDeleteSubItems = TRUE;
				} else 	{
					$bDeleteSubItems = FALSE;
				}

				// Check input
				if(empty($_POST['changecat']))	{
					$bError = TRUE;
					$strMessage = LANG_NOCATSELECTEDDEL;
				} else {
					
					$iCat = (int)$_POST['changecat'];
					
					if(CheckForPrevCat($iCat))	{
						if(DeleteCategory($iCat, $bDeleteSubItems))		{	
							$strMessage = LANG_CATDELETESUCCESS;
						}
						DeleteCategoryCache();
					} else {
						$bError = TRUE;
						$strMessage = LANG_INPDELPREVCAT;
					}
				}
				
				break;
			
			case isset($_POST['f_updatecache']):	
				
				DeleteCategoryCache();
				
				break;
			case isset($_POST['f_change']):

				$bDeleteLogo = FALSE;
				
				// Check input
				if(empty($_POST['changecat']))	{
					$bError = TRUE;
					$strMessage = LANG_NOCATSELECTEDEDIT;
				}
				
				if(!$bError && empty($_POST['catname']) && empty($_POST['catdesc']) && empty($_POST['catlink'])
					&& (!isset($_POST['deletecatlogo']) || $_POST['deletecatlogo']!="yes") 
					&& $_POST['CatAgeRest']=="NoChange" && $_POST['f_prevcat']=="0")		{
		
					$bError = TRUE;
					$strMessage = LANG_CATUPDATENOINPUT;
				}
				
				// Check duplicate category name (only flat category model)
				if(!$bError && !empty($_POST['catname']) && $GLOBALS['OP_SIMPLE_CATS']==true 
					&& TestCategory($_POST['catname'])==false)	{
		
					$bError = TRUE;
					$strMessage = LANG_CATEGORYEXISTS;
				}
				
				// Get circle relationships
				if(!$bError)	{
		
					$bCircle = FALSE;
					$oCatManager = new CatTreeManager();
					$oRoot = $oCatManager->GetTreeRoot();
		
					$oTreeWork = new TreeWorks($oRoot);
					$oStartNode = $oTreeWork->GetNodeById($_POST['f_prevcat']);
					
					if(!is_null($oStartNode))	{
						while(!is_null($oStartNode->GetPredecessor()))	{
							$oStartNode = $oStartNode->GetPredecessor();
							if($oStartNode->GetId()==(integer)$_POST['changecat'])	{
								$bCircle = TRUE;
							}
						}
					}
						
					if($bCircle)	{
						$bError = TRUE;
						$strMessage = LANG_INPADDCATCIRCLEPREV;
					}
				}
					
				if(!$bError)	{
						
					// Convert form data
					if(isset($_POST['deletecatlogo']) && strtoupper($_POST['deletecatlogo'])=="YES")	{
						$bDeleteLogo = TRUE;
					}else {
						$bDeleteLogo = FALSE;
					}
					
					switch(strtoupper($_POST['CatAgeRest']))	{
						case "AGEREST":
							$AgeRest = "1";	break;
						case "NONAGEREST":
							$AgeRest = "0";	break;
						default:
							$AgeRest = "2";	break;	
					}
					
					if(EditCategory($_POST['changecat'], $_POST['catname'], $_POST['catdesc'],
						$_POST['catlink'], $bDeleteLogo, $AgeRest, $_POST['f_prevcat'])==TRUE)	{
						DeleteCategoryCache();
			
						$strMessage = ParseIn(LANG_CATEDITSUCCESS,$_POST['catname']);
					} else {
			
						$bError = TRUE;
						$strMessage = LANG_GENERALEDITERROR;
					}
				}
				break;
		}
	
	} else {
		$_POST['f_prevcat'] = -1;
		$_POST['catlink'] = "";
	}
	
	//
	// Show dialog
	//
	$OptionList=BuildCategorielistForListField();
	if($OptionList == false)	{
		$OptionList = "<option>".LANG_DBEMPTYTABLE."</option>";	
	}

	if($GLOBALS['OP_SIMPLE_CATS'])	{
		$PrevSelection = GetCategoriesForSelect($_POST['f_prevcat'],FALSE,FALSE);
	} else {
		// Complexe cats
		$oCatManager = new CatTreeManager();
		$oRoot = $oCatManager->GetTreeRoot();
		$oTreeWork = new CategoryTreeWorks($oRoot);
		$PrevSelection = $oTreeWork->GetCategoryForSelect($_POST['f_prevcat'],FALSE);
	}
	$PrevSelection = "<option value=\"0\" selected>".LANG_INPADDCATSELNOCHANGE.$PrevSelection;
	
	$strLogoSelection = GetFilesFromDirectory($GLOBALS['PD_DIRCATLOGOS'],$_POST['catlink'],TRUE);
	
	
	include "templates/".$GLOBALS['ACTIVELANGUAGE']."/admin_editcategory.tpl.php";
	include "inc/footer.inc.php";

?>