<?php	

	/**
	 *	Install database tables
	 * 
	 * 	Please change database settings in config.inc.php first 
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */
	

	require "inc/includer.inc.php";
	
	// Header senden
	$PageTitle = GetPageTitle(LANG_TTLADMININSTALLDB);
	include "inc/header.inc.php";
	
	$bError = false;
	$strMessage = "";
	$strLog = "";
	
	$strServer = $GLOBALS['DB_HOST'];
	$strDatabase = $GLOBALS['DB_NAME'];
	$strDatabaseUser = $GLOBALS['DB_USER'];
	
	
	//
	// Process installation
	//	
	if(isset($_POST['f_send']) && strtoupper($_POST['f_send'])=="YES")	{
		
		//
		// Check mandatory settings
		//
		if(empty($strServer) || empty($strDatabase))	{
			$bError = TRUE;
			$strLog = "Please check database server/host and database settings in file inc/config.inc.php";
		}
		
		if(!$bError)	{		
		
			// Connect database
			$DB = new SQLDatabase();
			$DB->dbconnect();
		
			if(!$DB->IsConnected())	{
				$bError = TRUE;
				$strLog = LANG_DBCONNECTERROR."<br>".
					$DB->GetErrorMessage();
			} elseif($DB->GetError()!=0)	{
				$bError = TRUE;
				$strLog = ParseIn(LANG_DBCOMMONERROR,$DB->GetErrorMessage())."<br>".
					$DB->GetErrorMessage();
			} else {
	
				// Create action table
				$sql = "CREATE TABLE `cf_actions` (
					`actionid` bigint(15) unsigned NOT NULL auto_increment,
				  	`actiontype` varchar(10) NOT NULL default 'UNKNOWN',
				  	`actionuserid` bigint(15) default NULL,
				  	`actiontext` text,
				  	`actiontime` datetime NOT NULL default '0000-00-00 00:00:00',
				  	UNIQUE KEY `actionid` (`actionid`),
				  	KEY `sorter` (`actiontype`,`actiontime`)
					) ENGINE=MyISAM; ";
	
				$strLog.= ParseIn(LANG_TBLCREATER,"Actions table cf_actions")."<br>";
				if(!$DB->dbtablecreate($sql))		{
					$bError = TRUE;
					$strLog.= ParseIn(LANG_TBLCREATEERROR,$DB->GetErrorMessage())."<br>";
				};
				
				
				// Create ad table
				$sql = "CREATE TABLE `cf_ads` (
				  `adid` bigint(15) unsigned NOT NULL auto_increment,
				  `adcat` bigint(10) NOT NULL default '0',
				  `adtype` tinyint(3) NOT NULL default '0',
				  `aduserid` bigint(15) unsigned NOT NULL default '0',
				  `adtitle` varchar(255) default NULL,
				  `adtext` text,
				  `adoutdate` datetime default NULL,
				  `adindate` datetime NOT NULL default '0000-00-00 00:00:00',
				  `adeditdate` datetime default '0000-00-00 00:00:00',
				  `adzip` varchar(10) default NULL,
				  `adcountry` varchar(50) default NULL,
				  `adname` varchar(50) default NULL,
				  `ademail` varchar(150) default NULL,
				  `adfax` varchar(25) default NULL,
				  `adtel` varchar(25) default NULL,
				  `adlang` varchar(6) default NULL,
				  `adcity` varchar(50) default NULL,
				  `admobile` varchar(30) default NULL,
				  `adipadress` varchar(20) default NULL,
				  `adpiclink` varchar(255) default NULL,
				  `adviewed` int(9) unsigned default '0',
				  `adhomepage` varchar(200) default NULL,
				  `adfeatured` tinyint(1) unsigned default '0',
				  `adchecked` tinyint(1) unsigned default '0',
				  `adtellcounter` int(6) unsigned default '0',
				  `adcontcounter` int(6) unsigned default '0',
				  `adicq` varchar(15) default '',
				  `adaim` varchar(40) default NULL,
				  `adskype` varchar(40) default NULL,
				  `admsn` varchar(40) default NULL,
				  `adyahoo` varchar(40) default NULL,
				  `adagerestricted` tinyint(1) unsigned default '0',
				  PRIMARY KEY  (`adid`),
				  KEY `adcat` (`adcat`),
				  KEY `adindate` (`adindate`),
				  KEY `adchecked` (`adchecked`),
				  KEY `adfeatured` (`adfeatured`),
				  KEY `adtitle` (`adtitle`(50)),
				  KEY `adtype` (`adtype`),
				  FULLTEXT KEY `adtext` (`adtext`)
				) ENGINE=MyISAM;";
				
				$strLog.= ParseIn(LANG_TBLCREATER,"Ad table cf_ads")."<br>";
				if(!$DB->dbtablecreate($sql))		{
					$bError = TRUE;
					$strLog.= ParseIn(LANG_TBLCREATEERROR,$DB->GetErrorMessage())."<br>";
				};
				
				// Create free field table
				$sql = "CREATE TABLE `cf_adfreerows` (
				  	`freeid` mediumint(9) unsigned NOT NULL auto_increment,
				  	`adid` bigint(15) unsigned NOT NULL default '0',
				  	`freecol01` text,
				  	`freecol02` text,
				  	`freecol03` text,
				  	`freecol04` text,
				  	`freecol05` text,
				  	`freecol06` text,
				  	`freecol07` text,
				  	`freecol08` text,
				  	`freecol09` text,
				  	`freecol10` text,
				  	`freecoldesc` text,
				  	UNIQUE KEY `freeid` (`freeid`),
				  	KEY `adid` (`adid`)
					) ENGINE=MyISAM;";
				
				$strLog.= ParseIn(LANG_TBLCREATER,"Ad free field table cf_adfreerows")."<br>";
				if(!$DB->dbtablecreate($sql))		{
					$bError = TRUE;
					$strLog.= ParseIn(LANG_TBLCREATEERROR,$DB->GetErrorMessage())."<br>";
				};
				
				// Create category table			
				$sql = "CREATE TABLE `cf_categories` (
				  `catid` int(10) unsigned NOT NULL auto_increment,
				  `catname` varchar(255) default NULL,
				  `catprev` int(10) default NULL,
				  `catlang` varchar(6) default NULL,
				  `catdesc` varchar(255) default NULL,
				  `caticonlink` varchar(255) default NULL,
				  `catagerestricted` tinyint(1) unsigned default '0',
				  `cateditdate` datetime default NULL,
				  `catpresort` tinyint(1) NOT NULL default '0',
				  PRIMARY KEY  (`catid`),
				  KEY `catprev` (`catprev`)
				) ENGINE=MyISAM;";
				
				$strLog.= ParseIn(LANG_TBLCREATER,"category table cf_categories")."<br>";
				if(!$DB->dbtablecreate($sql))		{
					$bError = TRUE;
					$strLog.= ParseIn(LANG_TBLCREATEERROR,$DB->GetErrorMessage())."<br>";
				};						
				
				
				// Create category statistics table			
				$sql = "CREATE TABLE `cf_catstats` (
				  `statid` int(11) NOT NULL auto_increment,
				  `statcatid` int(11) default NULL,
				  `statlevel` tinyint(3) unsigned NOT NULL default '0',
				  `statadcount` int(11) unsigned NOT NULL default '0',
				  `statadcountcum` int(11) unsigned NOT NULL default '0',
				  `statchildcatcount` int(11) unsigned NOT NULL default '0',
				  `statlastin` datetime NOT NULL,
				  `statlastincum` datetime NOT NULL,
				  `statupdate` datetime NOT NULL,
				  `statguid` varchar(40) NOT NULL,
				  PRIMARY KEY  (`statid`),
				  KEY `category` (`statcatid`)
				) ENGINE=MyISAM;";
				
				$strLog.= ParseIn(LANG_TBLCREATER,"category statistics table cf_categories")."<br>";
				if(!$DB->dbtablecreate($sql))		{
					$bError = TRUE;
					$strLog.= ParseIn(LANG_TBLCREATEERROR,$DB->GetErrorMessage())."<br>";
				};					
				
					
				// Create security table
				$sql = "CREATE TABLE `cf_secsub` (
					`scsid` int(6) unsigned NOT NULL auto_increment,
					`scsadid` bigint(15) NOT NULL default '0',
					`scspassword` varchar(60) NOT NULL default '',
					UNIQUE KEY `scsid` (`scsid`)
					) ENGINE=MyISAM;";
				
				$strLog.= ParseIn(LANG_TBLCREATER,"security table cf_secsub")."<br>";
				if(!$DB->dbtablecreate($sql))		{
					$bError = TRUE;
					$strLog.= ParseIn(LANG_TBLCREATEERROR,$DB->GetErrorMessage())."<br>";
				};					
				
				// Create user table
				$sql = "CREATE TABLE `cf_users` (
				  `userid` bigint(15) unsigned NOT NULL auto_increment,
				  `username` varchar(100) default NULL,
				  `userpass` varchar(60) default NULL,
				  `useralterpass` varchar(60) default NULL,
				  `userrights` tinyint(3) unsigned default '0',
				  `userdeflang` varchar(5) default NULL,
				  `userblocked` tinyint(1) default '0',
				  `userreleased` tinyint(1) NOT NULL default '1',
				  `userrealname` varchar(100) default NULL,
				  `useradress1` varchar(150) default NULL,
				  `useradress2` varchar(150) default NULL,
				  `usertitle` varchar(20) default NULL,
				  `userzip` varchar(10) default NULL,
				  `usercity` varchar(70) default NULL,
				  `usertel` varchar(30) default NULL,
				  `usermobile` varchar(35) default NULL,
				  `userlastlogin` datetime default NULL,
				  `usereditdate` datetime default NULL,
				  `usercreatedate` datetime default NULL,
				  `usercountry` varchar(100) default NULL,
				  `useremail` varchar(100) NOT NULL default '',
				  `userfax` varchar(35) default NULL,
				  `userhomepage` varchar(100) default NULL,
				  `usericq` varchar(15) default NULL,
				  `userskype` varchar(40) default NULL,
				  `usermsn` varchar(40) default NULL,
				  `useryahoo` varchar(40) default NULL,
				  `useraim` varchar(40) default NULL,
				  `useripaddress` varchar(20) default NULL,
				  `usermaxadnumber` int(5) unsigned default '0',
				  `useragechecked` tinyint(1) unsigned NOT NULL default '0',
				  `useropenamount` decimal(11,2) default '0.00',
				  `userlogins` int(9) unsigned NOT NULL default '0',
				  `userreleasecode` varchar(40) default NULL,
				  `userpasswordset` datetime default NULL, 
				  UNIQUE KEY `userid` (`userid`),
				  KEY `useremail` (`useremail`)
				) ENGINE=MyISAM;";
								
				$strLog.= ParseIn(LANG_TBLCREATER,"user table cf_users")."<br>";
				if(!$DB->dbtablecreate($sql))		{
					$bError = TRUE;
					$strLog.= ParseIn(LANG_TBLCREATEERROR,$DB->GetErrorMessage())."<br>";
				};				
	
			}
		}

		if($bError)		{
			$strMessage = LANG_DBINSTALLFAILED;
		} else {
			
			//
			// All tables created
			//
			$strMessage = LANG_DBINSTALLOKAY;
		}
		
	} else {

		// First display
		// Set defaults	
	
	}
	
	//
	// Display template
	//
	$strPassword = !empty($GLOBALS['DB_PASS'])?"Yes":"No";

	
	include "templates/".$GLOBALS['ACTIVELANGUAGE']."/admin_install.tpl.php";
	include "inc/footer.inc.php";
?>

