#
# Table structure for table cf_actions
#

CREATE TABLE `cf_actions` (
  `actionid` bigint(15) unsigned NOT NULL auto_increment,
  `actiontype` varchar(10) NOT NULL default 'UNKNOWN',
  `actionuserid` bigint(15) default NULL,
  `actiontext` text,
  `actiontime` datetime NOT NULL default '0000-00-00 00:00:00',
  UNIQUE KEY `actionid` (`actionid`),
  KEY `sorter` (`actiontype`,`actiontime`)
) ENGINE=MyISAM;


#
# Table structure for table cf_adfreerows
#

CREATE TABLE `cf_adfreerows` (
  `freeid` mediumint(9) unsigned NOT NULL auto_increment,
  `adid` bigint(15) unsigned NOT NULL default '0',
  `freecol01` text,
  `freecol02` text,
  `freecol03` text,
  `freecol04` text,
  `freecol05` text,
  `freecol06` text,
  `freecol07` text,
  `freecol08` text,
  `freecol09` text,
  `freecol10` text,
  `freecoldesc` text,
  UNIQUE KEY `freeid` (`freeid`),
  KEY `adid` (`adid`)
) ENGINE=MyISAM;


#
# Table structure for table cf_ads
#

CREATE TABLE `cf_ads` (
  `adid` bigint(15) unsigned NOT NULL auto_increment,
  `adcat` bigint(10) NOT NULL default '0',
  `adtype` tinyint(3) NOT NULL default '0',
  `aduserid` bigint(15) unsigned NOT NULL default '0',
  `adtitle` varchar(255) default NULL,
  `adtext` text,
  `adoutdate` datetime default NULL,
  `adindate` datetime NOT NULL default '0000-00-00 00:00:00',
  `adeditdate` datetime default '0000-00-00 00:00:00',
  `adzip` varchar(10) default NULL,
  `adcountry` varchar(50) default NULL,
  `adname` varchar(50) default NULL,
  `ademail` varchar(150) default NULL,
  `adfax` varchar(25) default NULL,
  `adtel` varchar(25) default NULL,
  `adlang` varchar(6) default NULL,
  `adcity` varchar(50) default NULL,
  `admobile` varchar(30) default NULL,
  `adipadress` varchar(20) default NULL,
  `adpiclink` varchar(255) default NULL,
  `adviewed` int(9) unsigned default '0',
  `adhomepage` varchar(200) default NULL,
  `adfeatured` tinyint(1) unsigned default '0',
  `adchecked` tinyint(1) unsigned default '0',
  `adtellcounter` int(6) unsigned default '0',
  `adcontcounter` int(6) unsigned default '0',
  `adicq` varchar(15) default '',
  `adaim` varchar(40) default NULL,
  `adskype` varchar(40) default NULL,
  `admsn` varchar(40) default NULL,
  `adyahoo` varchar(40) default NULL,
  `adagerestricted` tinyint(1) unsigned default '0',
  PRIMARY KEY  (`adid`),
  KEY `adcat` (`adcat`),
  KEY `adindate` (`adindate`),
  KEY `adchecked` (`adchecked`),
  KEY `adfeatured` (`adfeatured`),
  KEY `adtitle` (`adtitle`(50)),
  KEY `adtype` (`adtype`),
  FULLTEXT KEY `adtext` (`adtext`)
) ENGINE=MyISAM;


#
# Table structure for table cf_categories
#

CREATE TABLE `cf_categories` (
  `catid` int(10) unsigned NOT NULL auto_increment,
  `catname` varchar(255) default NULL,
  `catprev` int(10) default NULL,
  `catlang` varchar(6) default NULL,
  `catdesc` varchar(255) default NULL,
  `caticonlink` varchar(255) default NULL,
  `catagerestricted` tinyint(1) unsigned default '0',
  `cateditdate` datetime default NULL,
  `catpresort` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`catid`),
  KEY `catprev` (`catprev`)
) ENGINE=MyISAM;


#
# Table structure for table cf_catstats
#

CREATE TABLE `cf_catstats` (
  `statid` int(11) NOT NULL auto_increment,
  `statcatid` int(11) default NULL,
  `statlevel` tinyint(3) unsigned NOT NULL default '0',
  `statadcount` int(11) unsigned NOT NULL default '0',
  `statadcountcum` int(11) unsigned NOT NULL default '0',
  `statchildcatcount` int(11) unsigned NOT NULL default '0',
  `statlastin` datetime NOT NULL,
  `statlastincum` datetime NOT NULL,
  `statupdate` datetime NOT NULL,
  `statguid` varchar(40) NOT NULL,
  PRIMARY KEY  (`statid`),
  KEY `category` (`statcatid`)
) ENGINE=MyISAM;


#
# Table structure for table cf_countries
#

CREATE TABLE `cf_countries` (
  `countryid` varchar(5) NOT NULL default '',
  `country_english` varchar(50) NOT NULL default '',
  `country_german` varchar(50) default NULL,
  PRIMARY KEY  (`countryid`),
  KEY `idx_countrylookup_land` (`countryid`)
) ENGINE=MyISAM;

#
# Dumping data for table cf_countries
#

INSERT INTO `cf_countries` VALUES ('A','Austria','sterreich');
INSERT INTO `cf_countries` VALUES ('AFG','Afghanistan','Afghanistan');
INSERT INTO `cf_countries` VALUES ('AG','Antigua And Barbuda','Antigua');
INSERT INTO `cf_countries` VALUES ('AL','Albania','Albanien');
INSERT INTO `cf_countries` VALUES ('AND','Andorra','Andorra');
INSERT INTO `cf_countries` VALUES ('ANG','Angola','Angola');
INSERT INTO `cf_countries` VALUES ('ARM','Armenia','Armenien');
INSERT INTO `cf_countries` VALUES ('AUS','Australia','Australien');
INSERT INTO `cf_countries` VALUES ('AZ','Azerbaijan','');
INSERT INTO `cf_countries` VALUES ('B','Belgium','Belgien');
INSERT INTO `cf_countries` VALUES ('BD','Bangladesh','Bangladesch');
INSERT INTO `cf_countries` VALUES ('BDS','Barbados','Barbados');
INSERT INTO `cf_countries` VALUES ('BF','Burkina Faso','Burkina Faso');
INSERT INTO `cf_countries` VALUES ('BG','Bulgaria','Bulgarien');
INSERT INTO `cf_countries` VALUES ('BH','Belize','Belize');
INSERT INTO `cf_countries` VALUES ('BHT','Bhutan','Bhutan');
INSERT INTO `cf_countries` VALUES ('BIH','Bosnia And Herzegowina','Bosnien-Herzegowina');
INSERT INTO `cf_countries` VALUES ('BOL','Bolivia','Bolivien');
INSERT INTO `cf_countries` VALUES ('BR','Brazil','Brasilien');
INSERT INTO `cf_countries` VALUES ('BRN','Bahrain','Bahrain');
INSERT INTO `cf_countries` VALUES ('BRU','Brunei Darussalam','Brunei');
INSERT INTO `cf_countries` VALUES ('BS','Bahamas','Bahamas');
INSERT INTO `cf_countries` VALUES ('BU','Burundi','Burundi');
INSERT INTO `cf_countries` VALUES ('BY','Belarus','');
INSERT INTO `cf_countries` VALUES ('C','Cuba','Kuba');
INSERT INTO `cf_countries` VALUES ('CAM','Cameroon','Kamerun');
INSERT INTO `cf_countries` VALUES ('CDN','Canada','Kanada');
INSERT INTO `cf_countries` VALUES ('CH','Switzerland','Schweiz');
INSERT INTO `cf_countries` VALUES ('CL','Sri Lanka','Sri Lanka');
INSERT INTO `cf_countries` VALUES ('CO','Colombia','Kolumbien');
INSERT INTO `cf_countries` VALUES ('COM','Comoros','');
INSERT INTO `cf_countries` VALUES ('CR','Costa Rica','Costa Rica');
INSERT INTO `cf_countries` VALUES ('CV','Cape Verde','Kap Verde');
INSERT INTO `cf_countries` VALUES ('CY','Cyprus','Zypern');
INSERT INTO `cf_countries` VALUES ('CZ','Czech Republic','Tschechische Republik');
INSERT INTO `cf_countries` VALUES ('D','Germany','Deutschland');
INSERT INTO `cf_countries` VALUES ('DARS','Sahara','Sahara');
INSERT INTO `cf_countries` VALUES ('DJI','Djibouti','');
INSERT INTO `cf_countries` VALUES ('DK','Denmark','Dnemark');
INSERT INTO `cf_countries` VALUES ('DOM','Dominican Republic','Domenikanische Republik');
INSERT INTO `cf_countries` VALUES ('DVRK','North Korea','Nord-Korea');
INSERT INTO `cf_countries` VALUES ('DY','Benin','');
INSERT INTO `cf_countries` VALUES ('DZ','Algeria','Algerien');
INSERT INTO `cf_countries` VALUES ('E','Spain','Spanien');
INSERT INTO `cf_countries` VALUES ('EAK','Kenya','Kenia');
INSERT INTO `cf_countries` VALUES ('EAT','Tanzania','Tansania');
INSERT INTO `cf_countries` VALUES ('EAU','Uganda','Uganda');
INSERT INTO `cf_countries` VALUES ('EC','Ecuador','Equador');
INSERT INTO `cf_countries` VALUES ('ER','Eritrea','');
INSERT INTO `cf_countries` VALUES ('ES','El Salvador','El Salvador');
INSERT INTO `cf_countries` VALUES ('EST','Estland','Estland');
INSERT INTO `cf_countries` VALUES ('ET','Egypt','gypten');
INSERT INTO `cf_countries` VALUES ('ETH','Ethiopia','thiopien');
INSERT INTO `cf_countries` VALUES ('F','France','Frankreich');
INSERT INTO `cf_countries` VALUES ('FIN','Finland','Finnland');
INSERT INTO `cf_countries` VALUES ('FJI','Fiji','');
INSERT INTO `cf_countries` VALUES ('FL','Frstentum Lichtenstein','Frstentum Lichtenstein');
INSERT INTO `cf_countries` VALUES ('FR','Faroe Islands','');
INSERT INTO `cf_countries` VALUES ('FSM','Micronesia','Mikronesien');
INSERT INTO `cf_countries` VALUES ('G','Gabon','');
INSERT INTO `cf_countries` VALUES ('GB','United Kingdom','Vereinigtes Knigreich');
INSERT INTO `cf_countries` VALUES ('GBA','Alderney','');
INSERT INTO `cf_countries` VALUES ('GBG','Guernsey','');
INSERT INTO `cf_countries` VALUES ('GBJ','Jersey','Jersey');
INSERT INTO `cf_countries` VALUES ('GBM','Isle of Man','');
INSERT INTO `cf_countries` VALUES ('GBZ','Gibraltar','Gibraltar');
INSERT INTO `cf_countries` VALUES ('GCA','Guatemala','Guatemala');
INSERT INTO `cf_countries` VALUES ('GE','Georgien','Georgien');
INSERT INTO `cf_countries` VALUES ('GH','Ghana','Ghana');
INSERT INTO `cf_countries` VALUES ('GNB','Guinea-Bissau','');
INSERT INTO `cf_countries` VALUES ('GR','Greece','Griechenland');
INSERT INTO `cf_countries` VALUES ('GUY','Guyana','');
INSERT INTO `cf_countries` VALUES ('H','Hungary','Ungarn');
INSERT INTO `cf_countries` VALUES ('HK','Hong Kong','Hong Kong');
INSERT INTO `cf_countries` VALUES ('HN','Honduras','Honduras');
INSERT INTO `cf_countries` VALUES ('HR','Croatia','Kroatien');
INSERT INTO `cf_countries` VALUES ('I','Italy','Italien');
INSERT INTO `cf_countries` VALUES ('IL','Israel','Israel');
INSERT INTO `cf_countries` VALUES ('IND','India','Indien');
INSERT INTO `cf_countries` VALUES ('IR','Iran','Indien');
INSERT INTO `cf_countries` VALUES ('IRL','Ireland','Irland');
INSERT INTO `cf_countries` VALUES ('IRQ','Iraq','Irak');
INSERT INTO `cf_countries` VALUES ('IS','Island','Island');
INSERT INTO `cf_countries` VALUES ('J','Japan','Japan');
INSERT INTO `cf_countries` VALUES ('JA','Jamaica','Jamaika');
INSERT INTO `cf_countries` VALUES ('JOR','Jordan','Jordanien');
INSERT INTO `cf_countries` VALUES ('K','Cambodscha','Kambodscha');
INSERT INTO `cf_countries` VALUES ('KIR','Kiribati','');
INSERT INTO `cf_countries` VALUES ('KN','Saint Kitts And Nevis','');
INSERT INTO `cf_countries` VALUES ('KS','Kyrgyzstan','');
INSERT INTO `cf_countries` VALUES ('KSA','Saudi Arabia','Saudi-Arabien');
INSERT INTO `cf_countries` VALUES ('KWT','Kuwait','Kuwait');
INSERT INTO `cf_countries` VALUES ('KZ','Kazakhstan','Kasachstan');
INSERT INTO `cf_countries` VALUES ('L','Luxembourg','Luxemburg');
INSERT INTO `cf_countries` VALUES ('LAR','Libyan Arab Jamahiriya','');
INSERT INTO `cf_countries` VALUES ('LB','Liberia','Liberia');
INSERT INTO `cf_countries` VALUES ('LS','Lesotho','');
INSERT INTO `cf_countries` VALUES ('LT','Lithuania','Litauen');
INSERT INTO `cf_countries` VALUES ('LV','Latvia','Lettland');
INSERT INTO `cf_countries` VALUES ('M','Malta','Malta');
INSERT INTO `cf_countries` VALUES ('MA','Marocco','Marokko');
INSERT INTO `cf_countries` VALUES ('MAL','Malaysia','Malaysia');
INSERT INTO `cf_countries` VALUES ('MC','Monaco','Monaco');
INSERT INTO `cf_countries` VALUES ('MD','Moldova','Maldavien');
INSERT INTO `cf_countries` VALUES ('MEX','Mexico','Mexiko');
INSERT INTO `cf_countries` VALUES ('MH','Marshall Islands','');
INSERT INTO `cf_countries` VALUES ('MK','Macedonia','Mazedonien');
INSERT INTO `cf_countries` VALUES ('MNG','Mongolia','Mongolei');
INSERT INTO `cf_countries` VALUES ('MOC','Mozambique','');
INSERT INTO `cf_countries` VALUES ('MS','Mauritius','Mauritius');
INSERT INTO `cf_countries` VALUES ('MV','Maldives','Malediven');
INSERT INTO `cf_countries` VALUES ('MW','Malawi','');
INSERT INTO `cf_countries` VALUES ('MYA','Myanmar','');
INSERT INTO `cf_countries` VALUES ('N','Norway','Norwegen');
INSERT INTO `cf_countries` VALUES ('NA','Netherlands Antilles','Niederlndische Antillen');
INSERT INTO `cf_countries` VALUES ('NAM','Namibia','Namibia');
INSERT INTO `cf_countries` VALUES ('NAU','Nauru','');
INSERT INTO `cf_countries` VALUES ('NEP','Nepal','Nepal');
INSERT INTO `cf_countries` VALUES ('NIC','Nicaragua','');
INSERT INTO `cf_countries` VALUES ('NL','Netherlands','Niederlande');
INSERT INTO `cf_countries` VALUES ('NZ','New Zealand','Neuseeland');
INSERT INTO `cf_countries` VALUES ('OM','Oman','Oman');
INSERT INTO `cf_countries` VALUES ('P','Portugal','Portugal');
INSERT INTO `cf_countries` VALUES ('PA','Panama','Panama');
INSERT INTO `cf_countries` VALUES ('PAL','Palau','');
INSERT INTO `cf_countries` VALUES ('PE','Peru','Peru');
INSERT INTO `cf_countries` VALUES ('PK','Pakistan','Pakistan');
INSERT INTO `cf_countries` VALUES ('PL','Poland','Polen');
INSERT INTO `cf_countries` VALUES ('PNG','Papua New Guinea','Papua-Neuguinea');
INSERT INTO `cf_countries` VALUES ('PY','Paraguay','Paraguay');
INSERT INTO `cf_countries` VALUES ('Q','Qatar','');
INSERT INTO `cf_countries` VALUES ('RA','Argentina','Argentinien');
INSERT INTO `cf_countries` VALUES ('RB','Botswana','Botswana');
INSERT INTO `cf_countries` VALUES ('RC','Taiwan','Taiwan');
INSERT INTO `cf_countries` VALUES ('RCA','Republic of Central Africa','Republik Zentralafrika');
INSERT INTO `cf_countries` VALUES ('RCB','Congo','Kongo');
INSERT INTO `cf_countries` VALUES ('RCH','Chile','Chile');
INSERT INTO `cf_countries` VALUES ('RG','Guinea','Guinea');
INSERT INTO `cf_countries` VALUES ('RH','Haiti','Haiti');
INSERT INTO `cf_countries` VALUES ('RI','Indonesia','Indonesien');
INSERT INTO `cf_countries` VALUES ('RIM','Mauritania','Mauritanien');
INSERT INTO `cf_countries` VALUES ('RL','Lebanon','Libanon');
INSERT INTO `cf_countries` VALUES ('RM','Madagascar','Madagaskar');
INSERT INTO `cf_countries` VALUES ('RMM','Mali','Mali');
INSERT INTO `cf_countries` VALUES ('RN','Niger','Niger');
INSERT INTO `cf_countries` VALUES ('RO','Romania','Rumnien');
INSERT INTO `cf_countries` VALUES ('ROK','South Korea','Sdkorea');
INSERT INTO `cf_countries` VALUES ('ROU','Uruguay','Uruguay');
INSERT INTO `cf_countries` VALUES ('RP','Philippines','Philippinen');
INSERT INTO `cf_countries` VALUES ('RSM','San Marino','San Marino');
INSERT INTO `cf_countries` VALUES ('RT','Togo','Togo');
INSERT INTO `cf_countries` VALUES ('RUS','Russian Federation','Russische Fderation');
INSERT INTO `cf_countries` VALUES ('RWA','Rwanda','');
INSERT INTO `cf_countries` VALUES ('S','Sweden','Schweden');
INSERT INTO `cf_countries` VALUES ('SD','Swaziland','');
INSERT INTO `cf_countries` VALUES ('SGP','Singapore','Singapur');
INSERT INTO `cf_countries` VALUES ('SK','Slovakia','Slowakai');
INSERT INTO `cf_countries` VALUES ('SLO','Slovenia','Slovenien');
INSERT INTO `cf_countries` VALUES ('SME','Suriname','Surinam');
INSERT INTO `cf_countries` VALUES ('SN','Senegal','Senegal');
INSERT INTO `cf_countries` VALUES ('SOL','Solomon Islands','');
INSERT INTO `cf_countries` VALUES ('SP','Somalia','Somalia');
INSERT INTO `cf_countries` VALUES ('STP','Sao Tome And Principe','');
INSERT INTO `cf_countries` VALUES ('SUD','Sudan','Sudan');
INSERT INTO `cf_countries` VALUES ('SY','Seychelles','');
INSERT INTO `cf_countries` VALUES ('SYR','Syrian Arab Republic','');
INSERT INTO `cf_countries` VALUES ('TCH','Chad','Chad');
INSERT INTO `cf_countries` VALUES ('THA','Thailand','Thailand');
INSERT INTO `cf_countries` VALUES ('TJ','Tajikistan','');
INSERT INTO `cf_countries` VALUES ('TM','Turkmenistan','Turkmenistan');
INSERT INTO `cf_countries` VALUES ('TN','Tunisia','Tunesien');
INSERT INTO `cf_countries` VALUES ('TO','Tonga','Tonga');
INSERT INTO `cf_countries` VALUES ('TR','Turkey','Trkei');
INSERT INTO `cf_countries` VALUES ('TT','Trinidad And Tobago','Trinidad und Tobago');
INSERT INTO `cf_countries` VALUES ('TUV','Tuvalu','Tavulu');
INSERT INTO `cf_countries` VALUES ('UA','Ukraine','Ukraine');
INSERT INTO `cf_countries` VALUES ('UAE','United Arab Emirates','Verein. arab. Emirate');
INSERT INTO `cf_countries` VALUES ('USA','United States','USA');
INSERT INTO `cf_countries` VALUES ('UZ','Uzbekistan','');
INSERT INTO `cf_countries` VALUES ('V','Vatican City State','Vatikan-Staat');
INSERT INTO `cf_countries` VALUES ('VN','Viet Nam','Vietnam');
INSERT INTO `cf_countries` VALUES ('VRC','China','China');
INSERT INTO `cf_countries` VALUES ('VU','Vanuatu','');
INSERT INTO `cf_countries` VALUES ('WAG','Gambia','Gambia');
INSERT INTO `cf_countries` VALUES ('WAL','Sierra Leone','Sierra Leone');
INSERT INTO `cf_countries` VALUES ('WAN','Nigeria','Nigeria');
INSERT INTO `cf_countries` VALUES ('WD','Dominica','');
INSERT INTO `cf_countries` VALUES ('WG','Grenada','Grenada');
INSERT INTO `cf_countries` VALUES ('WL','Saint Lucia','St. Lucia');
INSERT INTO `cf_countries` VALUES ('WS','American Samoa','');
INSERT INTO `cf_countries` VALUES ('WV','Saint Vincent And The Grenadines','');
INSERT INTO `cf_countries` VALUES ('YE','Yemen','Jemen');
INSERT INTO `cf_countries` VALUES ('YU','Yugoslavia','Jugoslavien');
INSERT INTO `cf_countries` VALUES ('YV','Venezuela','Venezuela');
INSERT INTO `cf_countries` VALUES ('Z','Zambia','');
INSERT INTO `cf_countries` VALUES ('ZA','South Africa','Sdafrika');
INSERT INTO `cf_countries` VALUES ('ZRE','Zaire','Zaire');
INSERT INTO `cf_countries` VALUES ('ZW','Zimbabwe','Zimbabwe');

#
# Table structure for table cf_secsub
#

CREATE TABLE `cf_secsub` (
  `scsid` int(6) unsigned NOT NULL auto_increment,
  `scsadid` bigint(15) NOT NULL default '0',
  `scspassword` varchar(60) NOT NULL default '',
  UNIQUE KEY `scsid` (`scsid`)
) ENGINE=MyISAM;


#
# Table structure for table cf_users
#

CREATE TABLE `cf_users` (
  `userid` bigint(15) unsigned NOT NULL auto_increment,
  `username` varchar(100) default NULL,
  `userpass` varchar(60) default NULL,
  `useralterpass` varchar(60) default NULL,
  `userrights` tinyint(3) unsigned default '0',
  `userdeflang` varchar(5) default NULL,
  `userblocked` tinyint(1) default '0',
  `userreleased` tinyint(1) NOT NULL default '1',
  `userrealname` varchar(100) default NULL,
  `useradress1` varchar(150) default NULL,
  `useradress2` varchar(150) default NULL,
  `usertitle` varchar(20) default NULL,
  `userzip` varchar(10) default NULL,
  `usercity` varchar(70) default NULL,
  `usertel` varchar(30) default NULL,
  `usermobile` varchar(35) default NULL,
  `userlastlogin` datetime default NULL,
  `usereditdate` datetime default NULL,
  `usercreatedate` datetime default NULL,
  `usercountry` varchar(100) default NULL,
  `useremail` varchar(100) NOT NULL default '',
  `userfax` varchar(35) default NULL,
  `userhomepage` varchar(100) default NULL,
  `usericq` varchar(15) default NULL,
  `userskype` varchar(40) default NULL,
  `usermsn` varchar(40) default NULL,
  `useryahoo` varchar(40) default NULL,
  `useraim` varchar(40) default NULL,
  `useripaddress` varchar(20) default NULL,
  `usermaxadnumber` int(5) unsigned default '0',
  `useragechecked` tinyint(1) unsigned NOT NULL default '0',
  `useropenamount` decimal(11,2) default '0.00',
  `userlogins` int(9) unsigned NOT NULL default '0',
  `userreleasecode` varchar(40) default NULL,
  `userpasswordset` datetime default NULL,
  UNIQUE KEY `userid` (`userid`),
  KEY `useremail` (`useremail`)
) ENGINE=MyISAM;



