<?php			

	/**
	 *	Configuration
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 */
	
	
	/*	Database parameters
		
		DB_NAME			- Database name
		DB_HOST			- IP-address or host name of database server
		DB_USER			- Database user [@host]
		DB_PASS			- Database password
		DB_TYPE			- 1 => MySQL
		DB_BACKUP_PATH	- local backup directory (i.E. 'tmp/backup' (unix); 'c:/backup' (windows))
	*/

	$DB_NAME = "classad";
	$DB_HOST = "localhost";
	$DB_USER = "dbuser";
	$DB_PASS = "dbpass";
	$DB_TYPE = 1;					
	$DB_BACKUP_PATH = "C:/backup";				


	/*	Admin login
	
		ADMINNAME 		- Username used to login to administration panel
		ADMINPASS		- Password of admin user
	*/

	$ADMINNAME = "Admin";
	$ADMINPASS = "Admin";	
	
	
	//
	// Layout and Colors
	// 
	
	$LY_STYLESHEET = "styles/classified.css";	// CSS-Stylesheet
	$LY_ENABLEARTICLEPICS = true;				// Should it be possible to upload pictures (need GD.dll for graphic conversion)
	$LY_GD_VERSION_2 = true;					// Recommended: Should functions of GD version 2.x
												// be used (www.boutell.com) / should be included in PHP 4-distributions
	$LY_THUMBNAIL_WIDTH = 50;					// Preferred width of thumbnail
	$LY_THUMBNAIL_HEIGHT = 50;					// Preferred height of thumbnail
	$LY_MAX_PIC_WIDTH = 300;					// Max width of ad pictures
	$LY_ALLOW_UPSIZING = false;					// Should pictures (smaller than specified in $LY_MAX_PIC_WIDTH) be upsized 
	$LY_MAX_LISTLENGTH = 10;					// Number of article titles that should be shown in article listings
	$LY_ARTLIST_VARIABLE_BGCOLOR = true;		// Should there be a different color for every second line in article listings
												// (the color itself is specified in a css-Style called <tr>.'highlighted'
	$LY_MAX_UPLOAD_SIZE = 200;					// Maximum size an upload can have in KiloBytes
												// Note: This setting can not override upload settings in your php.ini
	$LY_SORT_ORDER_CATS = 2;					// Category display order (1 = id, 2 = category name, 3 = category name descending)
	
	
	//
	// Mailsettings
	//
	
	$ML_ADMINCOPY = false;						// Copy all outgoing mail to admin
	$ML_ADMINEMAIL = "admin@xyz.com";		// (*) Admin's Email
	$ML_RESPONDVIAEMAIL = false;				// false, if internal mail script should be used
												// true, Email adress is displayed
	$ML_COMPLETE_ARTICLE = true;				// if true, the complete ad text is send, when someone sends an tellad-email to a friend 

		
	//
	// Paths and directories
	//
	$PD_WEBURL = "www.xyz.com";					// (*) URL of your website (Format: "www.xyz.com")
	$PD_SCRIPTPATH = "/classifieds";			// (*) Path of script (Format: "/classifieds")
	$PD_USERGRAPHICS = "usergraphics/";			// Directory, where Usergraphics are stored (format: "DirectoryName/")
	$PD_SCRIPTGRAPHICS = "graphics/";			// Directory, where script graphics are stored (format: "DirectoryName/")
	$PD_DIRCATLOGOS = "catlogos/";				// Directory, where category logos are stored
	$PD_EMAILTEMPLATES = "emailtemplates/";		// Directory, where email templates are stored (format: "DirectoryName/")
	$PD_CACHEDIR = "cache/";					// Directory, where cache files are stored


	/*
		RSS settings

		RSS_MAX_COUNT 		- Maximum number of returned articles / ads
		RSS_TITLE			- Title of RSS feed
		RSS_DESCRIPTION		- Description of RSS feed 
		RSS_ICON			- Your market's logo; needs to be in $PD_SCRIPTGRAPHICS path
		RSS_TTL				- Time-To-Live in Minutes
	*/
	$RSS_MAX_COUNT = 25;					
	$RSS_TITLE = "Latest ads from www.xyz.de";
	$RSS_DESCRIPTION = "The latest ads from www.xyz.de. Classified ads for all purposes.";
	$RSS_ICON = "world.jpg";
	$RSS_TTL = 60;
					
	
	//
	// Security options
	//
	
	$SEC_FORCE_AGE_REST = true;					// Should be age restriction in effect
	$SEC_HIDE_AGEREST_CATS = true;				// Should all age-restricted categories be hidden for users w/o permission
	$SEC_HIDE_AGEREST_ADS = true;				// Should all age-restricted ads be hidden for user w/o permission
	$SEC_SUB_UNKNOWN = false;					// Should be anonymous users be allowed to submit ads
	$SEC_DIR_SUB_UNKNOWN = false;				// Sbould unknown users be allowed to submit ads directly
	$SEC_DIR_SUB_USER	= false;				// Should registered users be allowed to submit ads directly
	$SEC_DIR_SUB_AUTHUSER = true;				// Should authenticated users be allowed to submit ads directly
	$SEC_DIR_SUB_COMMERCIAL= true;				// Should commercial user be allowed to submit ads directly
	$SEC_SUB_ADMIN_INFO = true;	 				// Give a notice to the Admin, if a new ad is submitted. (only, if ads are directly released) 
	
	$SEC_REGUSER_OPTIN = TRUE;					// Use optional-in (user has to activate his account)
	$SEC_MAX_TELL_COUNT = 20;					// Maximum uses of tell-ad-function within a session (Anti-Spam)
	
	
	//
	// Various programm options
	//
	
	$OP_SIMPLE_CATS = FALSE;					// Build complex category structure (if false) or classic category overview (true)
	$OP_COMPLEX_CATS_COLS = 2;					// In complexe category structed - how many columns should be displayed
	$OP_COMPLEX_CATS_MAXSUB = 5;				// Maximum number of subcategories to display in category overview
	$OP_COMPLEX_CATS_SUB_ART_COUNT = true;		// Get article count for subcategories
	$OP_COMPLEX_CATS_BUILD_ORDER = 1;			// Display categories row-wise(1) or column-wise(2)
	$OP_BUILD_FEATURED_ADS = true;				// Should a table of featured articles be build (in category overview)
	$OP_BUILD_FEATURED_NO_ADS = 3;				// Maximal amount of featured articles
	$OP_BUILD_LATEST_ADS = TRUE;				// Should a table of latest inserted ads be build
	$OP_BUILD_LATEST_NO_ADS = 5;				// No of latest inserted
	$OP_SHOW_PAGE_BUILDTIME = true;				// Should the footer display the building time of a page
	

	//
	// Various settings
	//

	$DOMAINNAME = "xyz.com";					// (*) Domainname w/o 'www.'
	
	$TELLAD = true;								// Should a ad-reader be able to send an article to a friend
	$CRONJOB = FALSE;							// Does a cron jobcall the maintenance script 
	$MAINTAIN_PROBABILITY = 1000;				// How often will maintenance be fired, if no Cronjob is activated (1 out of x)
	$AUTODELETEOUTDATED = false;				// Should be outdated messages be automatically deleted (means: if index.php is called by user)
	$ALLOW_CACHING = true;						// Should cache be used
	$UNLIMITED_ADS = true;						// Should ads with unlimited duration be allowed
	$USE_FREE_FIELDS = true;					// Activate the use of freefields
		
	$DEFLANG = "ENG";							// Default Language
	$DEFCOUNTRY = "USA";							// Set default country selection (ISO-code)
	$DEFMAILLANG = "ENG";						// Default Language for mail parsing
	$DEFINEDLANGS = array(	"GER"	=>	"Deutsch (Deutschland)",
							"ENG"	=>	"English (US / GB)"		);
	
	$DEBUG = FALSE;								// Should Debuginformation be displayed
	$VERSION = "4.00";							// Do not touch this

?>