<?php

	/**
	 *	Insert new ad (user)
	 * 
	 *	@package 	ClassAd
	 *	@author 	cts projects&software <classad@projects-and-software.de>
	 *	@copyright 	cts projects&software 2002-2006
	 *	@copyright	All rights reserved
	 *	@version	4.00
	 * 
	 * 	@todo 		Think about caching the XML result
	 * 
	 */
	

	require "inc/includer.inc.php";
	require "inc/simplersswriter.inc.php";

	
	//
	// Define variables
	//
	$strFeed = "";
	$iCount = 20;
	$strXML = "";
	
	
	//
	// Read parameters from GET-variables
	//
	if(isset($_GET['count']) && (int)$_GET['count']>0)	{
		$iCount = (int)$_GET['count'];
		
		if($iCount>$GLOBALS['RSS_MAX_COUNT'])	{
			$iCount=$GLOBALS['RSS_MAX_COUNT'];
		}
	}
	
	
	//
	// Get database access
	//
	$DB = new SQLDatabase();
	if(!$DB->dbconnect())	{
		die();
	}

	
	//
	// Main part - divide on different feed selections
	//	
	$strFeed = (isset($_GET['feed'])?strtoupper($_GET['feed']):"");
	
	switch($strFeed)	{

		case "CATEGORY_LATEST":
			
			// Get category filter
			if(isset($_GET['cat']) && (integer)$_GET['cat']>0)	{
				
				$iCat = (integer)$_GET['cat'];		
				
				if($GLOBALS['OP_SIMPLE_CATS'])	{
					
					$strFilter = "AND adcat=".$iCat." ";
				} else {

					// Get all ids of category's subcats
					require "inc/adv_categories.inc.php";

					$oCatManager = new CatTreeManager();
					$oRoot = $oCatManager->GetTreeRoot();
					
					$oTreeWork = new TreeWorks($oRoot);
					$oSubNode = $oTreeWork->GetNodeById((integer)$_GET['cat']);
					
					$oSubTreeWork = new TreeWorks($oSubNode);
					$arrIds = $oSubTreeWork->GetIds();
					
					$strFilter = " AND (adcat IN (".implode(",",$arrIds).")) ";					

				}
				
			} else {
				$strFilter = "";
			}
							
			$sql = "SELECT cf_ads.* ".
				"FROM cf_ads ".
				"WHERE adchecked=1 AND adagerestricted=0 ".
				$strFilter.
				"ORDER BY adindate DESC ".
				"LIMIT ".$iCount;
			$data = $DB->dbselect($sql);	
		
			break;
		
		default:

			$sql = "SELECT cf_ads.* ".
				"FROM cf_ads ".
				"WHERE adchecked=1 AND adagerestricted=0 ".
				"ORDER BY adindate DESC ".
				"LIMIT ".$iCount;
			$data = $DB->dbselect($sql);	

			break;		
	}
	
	
	// Build links
	$strRssLink = "http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTPATH']."/index.php";
	$strRssLogo = "http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTGRAPHICS']."/".$GLOBALS['RSS_ICON']; 				
		
	$oNewsChannel = new RssChannel($GLOBALS['RSS_TITLE'],$strRssLink,$GLOBALS['RSS_DESCRIPTION']);
	$oNewsChannel->strGenerator = "cts classAd ".$GLOBALS['VERSION']." - www.projects-and-software.de";
	$oNewsChannel->iTtl = (integer)$GLOBALS['RSS_TTL'];
	
	
	// Build newsfeed from data
	if(is_array($data) && sizeof($data)>0)	{
		
		// Create items	
		foreach($data as $element)		{
			
			$strItemLink = "http://".$GLOBALS['PD_WEBURL'].$GLOBALS['PD_SCRIPTPATH']."/showad.php?adid=".
				$element['adid'];
			
			$oItem = new RssItem($element['adtitle'],
				$strItemLink,
				substr($element['adtext'],0,200));
			$oItem->dtPubDate = MysqlToTime($element['adindate']);
				
			$oNewsChannel->AddItem($oItem);
		}
	}
	
	// Build XML
	$oSimpleRss = new SimpleRssWriter($oNewsChannel);
	$strXML = $oSimpleRss->WriteXML();
	

	//
	// Output XML to browser
	//
	if(!headers_sent())	{
		
		header('Content-Type: text/xml');
		echo $strXML;	
	
	}

?>